

function test(e){
    if (e.slice(e.length - 5).toString('ascii') === 'END\r\n') {
        return 1;
    } else {
        return 2;
    }
}

// Error: First argument needs to be a number, array or string.
// var e1 = new Buffer(); 
// text(e1);


var e2 = new Buffer(5);
test(e2);

var e3 = new Buffer(4);
test(e3);

var e4 = new Buffer(3);
test(e4);

var e5 = new Buffer(2);
test(e5);

var e6 = new Buffer(1);
test(e6);

var e7 = new Buffer(0);
test(e7);

test(new Buffer([366, 839, 200, 132]));

test(new Buffer(null));